## nom.tam.fits
Class HeaderCard

    java.lang.Object
      nom.tam.fits.HeaderCard

public class HeaderCard
extends Object

This class describes methods to access and manipulate the individual cards for a FITS Header.

Field Summary
`(package private) String` `comment` The comment part of the card (set to null if there's no comment)
`(package private) boolean` `isString` A flag indicating whether or not this is a string value
`(package private) String` `key` The keyword part of the card (set to null if there's no keyword)
`(package private) String` `value` The value part of the card (set to null if there's no value)

Constructor Summary
`HeaderCard(String card)` Create a HeaderCard from a FITS card image
`HeaderCard(String key, String value, String comment)` Create a HeaderCard from its component parts

Method Summary
`String` `getComment()` Return the comment from this card
`String` `getKey()` Return the keyword from this card
`String` `getValue()` Return the value from this card
`boolean` `isKeyValuePair()` Is this a key/value card?
`boolean` `isStringValue()` Does this card contain a string value?
`String` `toString()` Return the 80 character card image

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    String key

  The keyword part of the card (set to null if there's no keyword)

### value

    String value

  The value part of the card (set to null if there's no value)

### comment

    String comment

  The comment part of the card (set to null if there's no comment)

### isString

    boolean isString

  A flag indicating whether or not this is a string value

Constructor Detail

### HeaderCard

    public HeaderCard(String key,
                      String value,
                      String comment)
               throws HeaderCardException

  Create a HeaderCard from its component parts

Parameters:
  `key` - keyword (null for a comment)
  `value` - value (null for a comment or keyword without an '=')
  `comment` - comment
Throws:
  `HeaderCardException` - for any invalid keyword or value

### HeaderCard

    public HeaderCard(String card)

  Create a HeaderCard from a FITS card image

Parameters:
  `card` - the 80 character card image

Method Detail

### isStringValue

    public boolean isStringValue()

  Does this card contain a string value?

### isKeyValuePair

    public boolean isKeyValuePair()

  Is this a key/value card?

### getKey

    public String getKey()

  Return the keyword from this card

### getValue

    public String getValue()

  Return the value from this card

### getComment

    public String getComment()

  Return the comment from this card

### toString

    public String toString()

  Return the 80 character card image